#!/usr/bin/gnuplot
vd(k1,k2,x)=k1*cos(x/afact-180/afact)+k2*cos(2*x/afact-180/afact)		# definition of the function
afact = 57.2974693617699							# radian to degrees multiplicator
set size 1,1									
set xlabel 'Angle (degrees)'							# set the label of the x axis
set ylabel 'E (kcal/mol)'							# set the label of the y axis
set multiplot 									# from this point gnuplot will keep all the plots on the window. 
set xrange [-120:120]
set origin 0,0									# left-bottom corner of the graph subwindow is located at the coordinate 0,0
set size 1,0.5									# size of the subwindow where the graph will be printed
set title 'Molecular energy'							# the title of the first graph
plot 'enemul.1' u ($2*afact):($3*627) t 'V'  w l,  'enediv.2' u ($2*afact):($3*627) t 'V/2'  w l ,'enediv.4' u ($2*afact):($3*627) t 'V/4' w l, 'enemul.2' u ($2*afact):($3*627) t 'V*2'  w l,  'enemul.4' u ($2*afact):($3*627) t 'V*4'  w l ,'enemul.5' u ($2*afact):($3*627) t 'V*5' w l, 'enemul.6' u ($2*afact):($3*627) t 'V*6'  w l
set origin 0,0.5								# left-bottom corner of the second graph subwindow is located at the coordinat 0,0.5 (where 0.5 means half size of the entire window)
set title 'Torsion {/Symbol Y} potential'					# the title of the second graph
plot vd(0.85,1.,x) t 'V' ,  vd(0.85/2,1./2,x) t 'V/2' , vd(0.85/4,2/4,x) t 'V/4',vd(0.85*4,1*4,x) t 'V*4' #    EOF
pause mouse									# waiting for the mouse click
